<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="globals.xhtml"><span>All</span></a></li>
      <li class="current"><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="globals_func.xhtml#index_a"><span>a</span></a></li>
      <li><a href="globals_func_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="globals_func_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="globals_func_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="globals_func_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="globals_func_f.xhtml#index_f"><span>f</span></a></li>
      <li class="current"><a href="globals_func_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="globals_func_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="globals_func_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="globals_func_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="globals_func_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="globals_func_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="globals_func_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="globals_func_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="globals_func_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="globals_func_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="globals_func_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="globals_func_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="globals_func_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="globals_func_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="globals_func_y.xhtml#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals_func_g.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>gaussian1x5_sub_x()
: <a class="el" href="gaussian__pyramid_8cl.xhtml#ae8b283818e0ddb9edf271668d2682dc3">gaussian_pyramid.cl</a>
</li>
<li>gaussian5x1_sub_y()
: <a class="el" href="gaussian__pyramid_8cl.xhtml#afa433ed067b24c37933229beb846b34b">gaussian_pyramid.cl</a>
</li>
<li>gemm_accumulate_biases_f16()
: <a class="el" href="gemm_8cl.xhtml#a76295c333dfa3c9bb20975579dce87e8">gemm.cl</a>
</li>
<li>gemm_accumulate_biases_f32()
: <a class="el" href="gemm_8cl.xhtml#a7c619984bc9c31f5f6c19ecc88b56581">gemm.cl</a>
</li>
<li>gemm_interleave4x4_f16()
: <a class="el" href="gemm_8cl.xhtml#ae333c12d780666b2591f7c8e9faaf5a9">gemm.cl</a>
</li>
<li>gemm_interleave4x4_f32()
: <a class="el" href="gemm_8cl.xhtml#acd423b6f992354e7c00137b20d687281">gemm.cl</a>
</li>
<li>gemm_interleave4x4_u8()
: <a class="el" href="gemm_8cl.xhtml#a830ba1cc0ad3c8cffa4a14424b2d0411">gemm.cl</a>
</li>
<li>gemm_transpose1x16_u8()
: <a class="el" href="gemm_8cl.xhtml#a675879eb72964ddbd5f71155da3b0cc3">gemm.cl</a>
</li>
<li>gemm_transpose1x4_f32()
: <a class="el" href="gemm_8cl.xhtml#a21d7061f36aec78824e368f2ef1cafc1">gemm.cl</a>
</li>
<li>gemm_transpose1x8_f16()
: <a class="el" href="gemm_8cl.xhtml#a11d87ecaf1388b4f57404e062265b374">gemm.cl</a>
</li>
<li>get_current_coords()
: <a class="el" href="warp__helpers_8h.xhtml#a4caaeeb51ea58015267a9974675226d1">warp_helpers.h</a>
</li>
<li>get_neighbour_coords()
: <a class="el" href="warp__helpers_8h.xhtml#a2d8047717d6464cad02c5979d09576db">warp_helpers.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
